# convert

@ JvmName (name = "convertFromT2")
fun < T1 , T2 > SimpleMapper < T1 , T2 >. convert (from: T2 ): T1 (source)

Converts from of type T2 to type T1 using this mapper.

#### Return

The converted value of type T1

#### Parameters

from

The value to convert

@ JvmName (name = "convertFromT1")
fun < T1 , T2 > SimpleMapper < T1 , T2 >. convert (from: T1 ): T2 (source)

Converts from of type T1 to type T2 using this mapper.

#### Return

The converted value of type T2

#### Parameters

from

The value to convert

@ JvmName (name = "convertFromT2")
suspend fun < T1 , T2 > SimpleSuspendableMapper < T1 , T2 >. convert (from: T2 ): T1 (source)

Converts from of type T2 to type T1 using this suspending mapper.

#### Return

The converted value of type T1

#### Parameters

from

The value to convert

@ JvmName (name = "convertFromT1")
suspend fun < T1 , T2 > SimpleSuspendableMapper < T1 , T2 >. convert (from: T1 ): T2 (source)

Converts from of type T1 to type T2 using this suspending mapper.

#### Return

The converted value of type T2

#### Parameters

from

The value to convert